Bug 169823 - found text is highighted off-by-one while searching backwards in mcview
Summary: found text is highighted off-by-one while searching backwards in mcview
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: mc   
(Show other bugs)
Version: 4
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-04 07:43 UTC by Radek Bíba
Modified: 2013-07-02 23:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 07:58:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Radek Bíba 2005-10-04 07:43:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
mcview has an issue with searching backwards, please see Steps to Reproduce

Version-Release number of selected component (if applicable):
mc-4.6.1a-0.12.FC4

How reproducible:
Always

Steps to Reproduce:
1. e.g. mcview /etc/services (or launch mc, go to /etc and view file services)
2. press / to open the search dialog
3. type e.g. ftp and press enter to start searching
4. press n to jump to another occurrence of string ftp
5. press ? to open the backward search dialog, ftp is prefilled
6. press enter to start searching backwards
7. see what's highlighted
  

Actual Results:  the line with the matching substring is this one:
ftp-data        20/tcp
but this appears:
tp-data 20/tcp
where tp- is highighted (and the two tabulators are 'eaten' into one space)

Expected Results:  string ftp is highigted, in this example, and nothing other is eaten

Additional info:

Comment 1 Leonard den Ottolander 2005-10-04 21:07:24 UTC
Patch committed upstream. Thanks.


Comment 2 Jindrich Novy 2005-10-05 07:58:19 UTC
Ok, closing UPSTREAM then.


Note You need to log in before you can comment on or make changes to this bug.